## List integration catalog

### cURL

```bash
curl --request GET \
  --url https://flows.super.ai/api/integrations/catalog \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'
```

### Python

```python
import requests

url = "https://flows.super.ai/api/integrations/catalog"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/integrations/catalog', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://flows.super.ai/api/integrations/catalog",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://flows.super.ai/api/integrations/catalog"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.get("https://flows.super.ai/api/integrations/catalog")
  .header("X-API-Key", "<api-key>")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://flows.super.ai/api/integrations/catalog")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Example Response

```json
[
  {
    "credential_types": [],
    "description": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "credential_providers": [
      {
        "credential_schema": {},
        "is_oauth": true,
        "name": "<string>"
      }
    ],
    "display_name": "<string>",
    "is_plugin": false
  }
]
```

### Authorizations

**X-API-Key**  
`string`  
**header**  
required  
API key authentication. Include your API key in the X-API-Key header as: `X-API-Key YOUR_API_KEY`

**Authorization**  
`string`  
**header**  
required  
JWT Bearer token authentication. Include your access token in the Authorization header as: `Bearer YOUR_ACCESS_TOKEN`

### Response

**200**  
`application/json`  
Integration catalog retrieved successfully

### Response Items

**category**  
`enum<string>`  
required  
Integration category

**credential_types**  
`enum<string>[]`  
required  
Available options:
- `api_key`
- `oauth2`
- `user_password`
- `key_file`
- `client_credentials`
- `sharepoint_receive`
- `google_drive_receive`

**description**  
`string`  
required

**id**  
`string<uuid>`  
required

**name**  
`string`  
required

**provider**  
`enum<string>`  
required  
Available options:
- `microsoft`
- `sftp`
- `aws_ses`
- `google`
- `postgresql`
- `internal_postgresql`
- `file_storage`
- `sharepoint_client_secret`

**credential_providers**  
`CredentialProvider · object[] | null`

**display_name**  
`string | null`

**is_plugin**  
`boolean`  
default:false
